#!/bin/bash

if [ -z "$1" ]; then
	echo Missing parameter: path to target root directory
	exit 1
fi

if [ -z "$(which virtfs-xattr)" ]; then
	echo Cannot find virtfs-xattr utility
	exit 1
fi

find "$1" -type l -exec bash -c '
function convert-link {
	content=$(readlink "$1")
	rm "$1"
	echo -n "$content" > "$1"
	virtfs-xattr -l "$1"
	echo "  Link update - $1 -> $content"
};
convert-link "$0"' {} \;

find "$1" -exec virtfs-xattr -u 0 -g 0 {} \;

exit 0
